<?php
namespace Fiscal\Repositories;

class Dadosadic extends \Doctrine\ORM\EntityRepository
{
    public function getMaxNRDADOADIC($filial, $lancamento){
        $sql = <<<SQL
        SELECT NVL(MAX(NRDADOADIC),'0000') AS NRDADOADIC
          FROM DADOSADIC
         WHERE CDFILIAL   = :P_CDFILIAL
           AND NRLANCTONF = :P_NRLANCTONF
SQL;

        $params = array(
            "P_CDFILIAL" => $filial,
            "P_NRLANCTONF" => $lancamento,
        );

        try{
            return self::getEntityManager()->getConnection()->fetchColumn($sql, $params);
        } catch(\Exception $e) {
            throw $e;
        }
    }

    public function save($params) {
        $sql = "INSERT INTO DADOSADIC
                            (CDFILIAL, NRLANCTONF, NRDADOADIC, CDMENSAGEM, DSDADOADIC)
                     VALUES (?,?,?,?,?)";

        $connection = $this->getEntityManager()->getConnection();

        return $connection->executeUpdate($sql,$params);
    }
}